/***************************************************************************
 *   Copyright (C) 2006 by George Kiagiadakis   *
 *   gkiagia@users.sourceforge.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef CONFIGMODEL_H
#define CONFIGMODEL_H

#include "configuration.h"
#include <QList>
#include <QAbstractListModel>
#include <QModelIndex>
#include "macros.h"

class ConfigModel : public QAbstractListModel
{
	Q_OBJECT

public:
	ConfigModel(QList<Configuration*> *list, QObject *parent = 0);
	~ConfigModel();
	int rowCount( const QModelIndex &parent = QModelIndex() ) const;
	QVariant data( const QModelIndex & index, int role = Qt::DisplayRole ) const;
	Qt::ItemFlags flags(const QModelIndex &index) const;
	bool setData(const QModelIndex &index, const QVariant &value, int role);
	void insertConfiguration(Configuration *cfg);
	bool removeRows(int position, int rows, const QModelIndex &parent = QModelIndex());

private:
	QList<Configuration*> *cfgList;


};

#endif
