/***************************************************************************
 *   Copyright (C) 2006 by George Kiagiadakis   *
 *   gkiagia@users.sourceforge.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <QMainWindow>
#include <QProcess>
#include "ui_ManagerWindow.h"
#include "confighandler.h"

class manager : public QMainWindow
{
	Q_OBJECT

public:
	manager(QWidget *parent = 0);
	~manager();

private slots:
	void on_createButton_clicked();
	void on_deleteButton_clicked();
	void on_cfgButton_clicked();
	void on_regButton_clicked();
	void on_controlButton_clicked();
	void on_uninstallButton_clicked();
	void on_taskmanButton_clicked();
	void on_progmanButton_clicked();
	void on_winefileButton_clicked();
	void on_mineButton_clicked();
	void on_notepadButton_clicked();
	void on_wordpadButton_clicked();
	void on_ieButton_clicked();
	void on_clockButton_clicked();
	void on_oleButton_clicked();
	void on_action_About_qtwine_triggered();
	void on_dosButton_clicked();
	void on_browseButton_clicked();
	void on_renameButton_clicked();
	void on_action_Manager_options_triggered();
	void on_action_Run_a_windows_program_triggered();
	void on_actionBrowse_the_scripts_directory_triggered();
	void on_actionCreate_a_launch_script_triggered();

private:
	Ui::ManagerWindow mw;
	void launchTool(QString toolName);
};
